Bug 1413397 - Creation of VM leases should be blocked for data center versions lower than 4.1
Summary: Creation of VM leases should be blocked for data center versions lower than 4.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Tal Nisan
QA Contact: Lilach Zitnitski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 18:20 UTC by Tal Nisan
Modified: 2017-02-01 14:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:50:08 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 69414 0 None None None 2017-01-15 18:23:11 UTC
oVirt gerrit 69680 0 None None None 2017-01-15 18:21:32 UTC
oVirt gerrit 70457 0 master MERGED core: Block creation of VM leases in versions lower than 4.1 2017-01-17 12:45:50 UTC
oVirt gerrit 70592 0 master MERGED core: Log when importing a VM with lease to DC with version lower than 4.1 2017-01-17 13:13:55 UTC
oVirt gerrit 70642 0 ovirt-engine-4.1 MERGED core: Block creation of VM leases in versions lower than 4.1 2017-01-17 13:44:37 UTC
oVirt gerrit 70643 0 ovirt-engine-4.1 MERGED core: Log when importing a VM with lease to DC with version lower than 4.1 2017-01-17 13:44:34 UTC

Description Tal Nisan 2017-01-15 18:20:54 UTC
Description of problem:
Currently creation of VM leases in data centers with version lower that 4.1 resulting in VDSM calls to a non existing verb

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Tal Nisan 2017-01-15 18:22:56 UTC
While a patch disabling the feature in the UI was introduced (see trackers), the feature should be first and foremost disabled in the backend both for the UI and more important the REST API calls

Comment 2 Tal Nisan 2017-01-15 18:26:49 UTC
Arik, I've disabled it for all flows aside for import VM as in that flow it's a reasonable scenario to export a VM with lease from 4.1 setup and import it to a 4.0 setup.
I thought to import without adding the lease and issue an audit log about it, what do you think?

Comment 3 Arik 2017-01-16 14:34:47 UTC
(In reply to Tal Nisan from comment #2)
> Arik, I've disabled it for all flows aside for import VM as in that flow
> it's a reasonable scenario to export a VM with lease from 4.1 setup and
> import it to a 4.0 setup.
> I thought to import without adding the lease and issue an audit log about
> it, what do you think?

Makes sense.

Comment 4 Lilach Zitnitski 2017-01-23 14:38:30 UTC
--------------------------------------
Tested with the following code:
----------------------------------------
ovirt-engine-4.1.0.3-0.0.master.20170123115434.git8a69605.el7.centos.noarch
vdsm-4.19.2-1.el7.centos.x86_64

Tested with the following scenario:

Steps to Reproduce:
1. create new vm in 4.0 cluster
2. configure this vm High available and create vm lease

Actual results:
can't create the vm with vm lease, VM leases are not supported for this virtual machine compatibility version.

Expected results:

Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.